package com.atlassian.bitbucket.mesh.repository;

import javax.annotation.Nonnull;

/**
 * Event that is raised when objects or packs that a {@link ManagedRepository} depends on have been uploaded directly
 * to its {@link SharedObjectsRepository}.
 */
public class ObjectsUploadedToSharedObjectsEvent extends RepositoryEvent {

    private final ManagedRepository repository;

    public ObjectsUploadedToSharedObjectsEvent(@Nonnull ManagedRepository repository) {
        super(repository);
        this.repository = repository;
    }

    @Nonnull
    @Override
    public ManagedRepository getRepository() {
        return repository;
    }
}
